# Generated by Django 5.2 on 2025-04-28 20:01

import django.core.files.storage
import django.db.models.deletion
import django_ragamuffin.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Assistant",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(blank=True, max_length=255)),
                ("instructions", models.TextField(blank=True)),
                ("assistant_id", models.CharField(blank=True, max_length=255)),
                ("json_field", models.JSONField(blank=True, default=dict, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="OpenAIFile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date", models.DateTimeField(auto_now=True)),
                ("checksum", models.CharField(blank=True, max_length=255)),
                ("original_file_name", models.CharField(blank=True, max_length=255)),
                ("path", models.CharField(blank=True, max_length=255)),
                ("file_id", models.CharField(blank=True, max_length=255)),
                (
                    "file",
                    models.FileField(
                        max_length=512,
                        storage=django.core.files.storage.FileSystemStorage(
                            "/tmp/openaifiles", base_url="/"
                        ),
                        upload_to=django_ragamuffin.models.hashed_upload_to,
                    ),
                ),
                ("ntokens", models.IntegerField(blank=True, default=0, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Thread",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255, unique=True)),
                ("date", models.DateTimeField(auto_now=True)),
                ("thread_id", models.CharField(blank=True, max_length=255)),
                ("messages", models.JSONField(blank=True, default=dict, null=True)),
                (
                    "assistant",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="threads",
                        to="django_ragamuffin.assistant",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VectorStore",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("checksum", models.CharField(blank=True, max_length=255)),
                ("vector_store_id", models.CharField(blank=True, max_length=255)),
                ("name", models.CharField(max_length=255, unique=True)),
                ("files", models.ManyToManyField(to="django_ragamuffin.openaifile")),
            ],
        ),
        migrations.AddField(
            model_name="assistant",
            name="vector_stores",
            field=models.ManyToManyField(to="django_ragamuffin.vectorstore"),
        ),
    ]
